Bug 1007370 - Enhance the performance of the internal change bus
Enhance the performance of the internal change bus
Status: CLOSED CURRENTRELEASE
Product: JBoss Data Virtualization 6
Classification: JBoss
Component: ModeShape (Show other bugs)
6.0.0
Unspecified Unspecified
unspecified Severity unspecified
: CR1
: ---
Assigned To: Horia Chiorean
: QA-Closed
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-12 06:56 EDT by Horia Chiorean
Modified: 2016-02-10 03:57 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
The performance of ModeShape's current change bus can be improved by changing queue.poll() with queue.take() when dispatching events to each listener. RepositoryChangeBus.java has been modified accordingly, and internal thread creation has been simplified so that fewer threads are spawned.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-02-10 03:57:42 EST
Type: Enhancement
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker MODE-2024 Critical Closed Enhance the performance of RepositoryChangeBus 2014-02-14 10:44:39 EST

  None (edit)
Description Horia Chiorean 2013-09-12 06:56:14 EDT
ModeShape's current change bus implementation should be made more performant by changing queue.poll() with queue.take() when dispatching events to each listener.
Comment 1 JBoss JIRA Server 2013-09-13 06:25:53 EDT
Horia Chiorean <hchiorea@redhat.com> made a comment on jira MODE-2024

Changed RepositoryChangeBus to use {{queue.take()}} instead of {{poll()}} and simplified internal thread creation so that fewer threads are spawned.
Comment 2 JBoss JIRA Server 2013-09-16 10:25:42 EDT
Randall Hauch <rhauch@jboss.org> made a comment on jira MODE-2024

Rebased and merged into the 'master' branch. Leaving open until it is cherry-picked into 3.3.x.
Comment 8 JBoss JIRA Server 2013-10-24 05:23:20 EDT
Randall Hauch <rhauch@jboss.org> updated the status of jira MODE-2024 to Closed
Comment 9 belong 2013-12-09 20:41:14 EST
Assuming this will be verified before GA - setting to requires_doc_text- accordingly.

Note You need to log in before you can comment on or make changes to this bug.